<script setup>
definePageMeta({
    layout: 'detail',
    name: 'Mode galerie'
});

const { data: events, status } = await useEventsApi();

const getStatusLabel = (status) => {
    switch (status) {
        case "success":
            return "Chargement réussi";
        case "loading":
            return "Chargement en cours...";
        case "idle":
            return "Chargement en cours...";
        default:
            return "Erreur pendant le chargement des dates !";
    };
}
</script>

<template>
    <div class="w-full h-full mx-auto">
        <SectionTitle :title="'Mode Galerie'" hx="h1" />
        <div class="flex flex-row flex-wrap justify-center">
            <Menu :current_mode="'galery'" />

            <div class="w-full max-w-6xl h-full max-h-[49rem] overflow-y-auto scroller">
                <ClientOnly>
                    <p v-if="events == null">
                        {{ getStatusLabel(status) }}
                    </p>
                    <div v-else>
                        <p class="text-center text-xl text-red-500" v-if="events.length == 0">Pas d'évènements à afficher.</p>
                        <div v-else class="w-full gap-2 grid grid-cols-[repeat(auto-fill,minmax(11rem,1fr))] justify-items-center">
                            <DisplayTile v-for="evt in events" :name="(evt.name != null) ? evt.name : evt.event.name"
                                :uid="evt.uid" :base_64_image="evt.event.thumbnail" :start_date="evt.start_date"
                                :end_date="evt.end_date" :start_hour="evt.start_hour" :end_hour="evt.end_hour"
                                :category="evt.main_category.name"
                                :parent="evt.main_category.parent"
                                :location="evt.location.name" :key="evt.uid"
                                class="hover:cursor-pointer hover:shadow-las-gallery-tile" />
                        </div>
                    </div>
                </ClientOnly>
            </div>
        </div>
    </div>
</template>
<style>
.scroller {
    scrollbar-color: #e58252 white;
}
</style>